---
title: '-webkit-transition'
slug: Web/CSS/@media/-webkit-transition
tags:
  - '@media'
  - Blink
  - CSS
  - Deprecated
  - Non-standard
  - Reference
  - WebKit
  - media feature
---
<div>{{ CSSRef }} {{deprecated_header}} {{ Non-standard_header }}</div>

<p>The <strong><code>-webkit-transition</code></strong> Boolean <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is a <a href="/en-US/docs/Web/CSS/Webkit_Extensions">Chrome extension</a> whose value is <code>true</code> if the browsing context supports <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS transitions</a>. It was never supported in browsers not based on WebKit or Blink.</p>

<p>Apple has <a href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/OtherStandardCSS3Features.html#//apple_ref/doc/uid/TP40007601-SW3">a description in Safari CSS Reference</a>; this is now called <code>transition</code> there.</p>

<div class="note">
<p><strong>Note:</strong> You should not use this media feature; it was never specified, has never been widely implemented, and has been removed from all browsers. Use an {{cssxref("@supports")}} feature query instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate line-numbers language-css"><code class="language-css"><span class="atrule token"><span class="rule token">@media</span> <span class="punctuation token">(</span>-webkit-transition<span class="punctuation token">)</span></span> <span class="punctuation token">{</span>
  <span class="comment token">/* CSS to use if transitions are supported */</span>
<span class="punctuation token">}</span></code></pre>

<h2 id="Examples">Examples</h2>

<h3 id="Use_supports_instead">Use @supports instead</h3>

<p>Do not use the <code>-webkit-transition</code> media feature. Instead, test for transition support using the CSS {{cssxref("@supports")}}<a href="/en-US/docs/Web/CSS/At-rule"> at-rule</a>, like this:</p>

<pre class="brush: css notranslate">@supports (transition: initial) {
  /* CSS to use if transitions are supported */
}
</pre>

<h3 id="Obsolete_example">Obsolete example</h3>

<p>Before this became obsolete, you could use <code>-webkit-transition</code> in your CSS like this:</p>

<pre class="brush: css notranslate">@media (-webkit-transition) {
  /* CSS to use if transitions are supported */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.-webkit-transition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using media queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Transitions/Using_CSS_transitions">Using CSS transitions</a></li>
 <li>{{cssxref("@supports")}}</li>
 <li>{{cssxref("transition")}}</li>
</ul>
